curl --request GET \
--url 'https://api.stateset.com/api/v1/transfer-orders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"total": 102,
"transfer_orders": [
{
"created_at": "2026-08-31T14:22:05Z",
"destination_warehouse_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"number": "ORD-10042",
"source_warehouse_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
]
}
List transfer orders
List transfer orders
GET
/
api
/
v1
/
transfer-orders
curl --request GET \
--url 'https://api.stateset.com/api/v1/transfer-orders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"total": 102,
"transfer_orders": [
{
"created_at": "2026-08-31T14:22:05Z",
"destination_warehouse_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"number": "ORD-10042",
"source_warehouse_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
]
}
Query parameters
string
integer (int32)
integer (int32)
Response
TransferOrderListResponse
integer
required
TransferOrderResponse[]
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/transfer-orders' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"total": 102,
"transfer_orders": [
{
"created_at": "2026-08-31T14:22:05Z",
"destination_warehouse_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"number": "ORD-10042",
"source_warehouse_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
]
}
Last modified on August 31, 2026